Install script gets v3.1.2? HHVM fall-back to PHP 5.x?

Discussion in 'ISPConfig 3 Priority Support' started by peterpetr, Mar 4, 2017.

  1. peterpetr

    peterpetr New Member HowtoForge Supporter

    Hello HowToForge,
    I just finished installing, on my Ubuntu 16.04 LTS, using:
    Tutorial: The Perfect Server - Ubuntu 16.04 (Nginx, MySQL, PHP, Postfix, BIND, Dovecot, Pure-FTPD and ISPConfig 3.1)
    at: https://www.howtoforge.com/tutorial/perfect-server-ubuntu-with-nginx-and-ispconfig-3/
    This is an excellent guide. Thank you.
    Question #1: I see in ISPconfig's Home under Latest News: "2017-01-25 ISPconfig 3.1.2 Released".
    Do I need to update? Or, if I just used the above install Tutorial yesterday (March 3rd), does the ISPconfig install script automatically install version 3.1.2?
    Question #2: Following the Tutorial, I also installed HHVM. I am mostly running WordPress sites on this server. In the event a plug-in or PHP code is not compatible with HHVM, how can I setup my system so it automatically falls-back to PHP 5.x?
    Thank you. P.
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    1) Just follow the tutorial, you will get the latest ISPConfig stable version then.
    2) HHVM is just one option and you can choose the PHP mode for each website, simply choose php-fpm to get the standard PHP in a website. Btw. Personally I won't use HHVM, it is not stable enough in my opinion. Better use PHP 7 or php 7.1 as additional PHP version in FPM mode, the speed is nearly the same but it is more stable. https://www.howtoforge.com/tutorial/how-to-install-php-7-on-debian/
     

Share This Page